Bug 1370366 - Remove valgrind.sh. r=njn
authorMike Hommey <mh+mozilla@glandium.org>
Tue, 06 Jun 2017 06:29:14 +0900
changeset 410540 56b99cb0d9c7f9c0b9a082475fd7d497964aee59
parent 410539 a7e36fe5ac723903f95532b93a1af63c4a1efc3b
child 410541 bec546987332d2217562d0cc7f5340f16af9b451
push id7391
push usermtabara@mozilla.com
push dateMon, 12 Jun 2017 13:08:53 +0000
treeherdermozilla-beta@2191d7f87e2e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersnjn
bugs1370366, 1278611
milestone55.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1370366 - Remove valgrind.sh. r=njn It was used for valgrind buildbot jobs, but those have been gone since bug 1278611, and the taskcluster jobs use mozharness.
build/valgrind/valgrind.sh
deleted file mode 100755
--- a/build/valgrind/valgrind.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/bash
-set -e
-set -x
-
-srcdir=$PWD/src
-objdir=${MOZ_OBJDIR-objdir}
-
-# If the objdir is a relative path, it is relative to the srcdir.
-case "$objdir" in
-    /*)
-	;;
-    *)
-        objdir="$srcdir/$objdir"
-	;;
-esac
-
-if [ ! -d $objdir ]; then
-    mkdir $objdir
-fi
-cd $objdir
-
-if [ "`uname -m`" = "x86_64" ]; then
-    _arch=64
-else
-    _arch=32
-fi
-
-TOOLTOOL_MANIFEST=browser/config/tooltool-manifests/linux${_arch}/releng.manifest
-TOOLTOOL_SERVER=https://api.pub.build.mozilla.org/tooltool/
-(cd $srcdir; ./mach artifact toolchain -v --tooltool-url $TOOLTOOL_SERVER --tooltool-manifest $TOOLTOOL_MANIFEST ${TOOLTOOL_CACHE:+ --cache-dir ${TOOLTOOL_CACHE}}) || exit 2
-
-# Note: an exit code of 2 turns the job red on TBPL.
-MOZCONFIG=$srcdir/browser/config/mozconfigs/linux${_arch}/valgrind make -f $srcdir/client.mk configure || exit 2
-make -j4 || exit 2
-make package || exit 2
-
-# We need to set MOZBUILD_STATE_PATH so that |mach| skips its first-run
-# initialization step and actually runs the |valgrind-test| command.
-export MOZBUILD_STATE_PATH=.
-
-# |mach valgrind-test|'s exit code will be 1 (which turns the job orange on
-# TBPL) if Valgrind finds errors, and 2 (which turns the job red) if something
-# else goes wrong, such as Valgrind crashing.
-python2.7 $srcdir/mach valgrind-test
-exit $?